initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
@@ -0,0 +1,30 @@
Fix build error "conflicting types for 'UTP_Write'"
Fetch from: http://www.adminsehow.com/2012/10/how-to-install-transmission-2-71-on-debian-6-0-squeeze/
The corresponding upstream bug report (unfixed) can be found here:
https://trac.transmissionbt.com/ticket/5232
Signed-off-by: Bernd Kuhls <berndkuhls@hotmail.com>
[Fabrice: adapt to 3.00, which always uses stdbool.h]
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
[yann.morin.1998@free.fr:
- don't comment-out dropped code, just drop it
- use CR-LF in replacement code, as used by upstream
]
Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
--- transmission-2.82.org/third-party/libutp/utypes.h 2013-08-09 04:47:43.000000000 +0200
+++ transmission-2.82/third-party/libutp/utypes.h 2014-01-02 20:17:18.000000000 +0100
@@ -35,8 +35,8 @@
typedef const char * cstr;
typedef char * str;
-#ifndef __cplusplus
-typedef uint8 bool;
-#endif
+#ifndef __cplusplus
+#include <stdbool.h>
+#endif
#endif //__UTYPES_H__
@@ -0,0 +1,46 @@
Fix compilation when using system libminiupnpc with libutp disabled
If transmission uses its own copy of libminiupnpc in third-party/ then
the configure script adds that path to CFLAGS:
https://trac.transmissionbt.com/browser/trunk/configure.ac#L455
This path is also added if transmission uses its own copy of libutp:
https://trac.transmissionbt.com/browser/trunk/configure.ac#L349
But if a system-provided libminiupnpc is used and utp-support is
disabled using --disable-utp the result is a build error, detected by
buildroot autobuilders:
http://autobuild.buildroot.net/results/b79/b79e51140cb0320554a58ce59dcb33f53cd9211a/build-end.log
net.c:40:24: fatal error: libutp/utp.h: No such file or directory
Patch proposed by Yann E. MORIN:
http://lists.busybox.net/pipermail/buildroot/2016-July/167896.html
Patch sent upstream: https://trac.transmissionbt.com/ticket/6163
Signed-off-by: Bernd Kuhls <berndkuhls@hotmail.com>
diff -uNr transmission-2.92.org/configure.ac transmission-2.92/configure.ac
--- transmission-2.92.org/configure.ac 2016-03-06 21:23:45.336198393 +0100
+++ transmission-2.92/configure.ac 2016-07-31 12:13:40.921660078 +0200
@@ -358,6 +358,10 @@
else
AC_MSG_ERROR("Unable to build uTP support -- C++ compiler not found")
fi
+else
+ # For the system libminiupnpc with UTC disabled,
+ # point to our bundled UTP headers
+ LIBUTP_CFLAGS="-I\$(top_srcdir)/third-party/"
fi
AC_SUBST(LIBUTP_CFLAGS)
AC_SUBST(LIBUTP_LIBS)
@@ -457,7 +461,7 @@
LIBUPNP_LIBS_QT="\$\${TRANSMISSION_TOP}/third-party/miniupnp/libminiupnp.a"
else
AC_DEFINE([SYSTEM_MINIUPNP])
- LIBUPNP_CFLAGS=""
+ LIBUPNP_CFLAGS="${LIBUTP_CFLAGS}"
LIBUPNP_LIBS="-lminiupnpc"
LIBUPNP_LIBS_QT="-lminiupnpc"
fi
@@ -0,0 +1,42 @@
From 857ac91a03a096601f62b358fc61355d4cc25b9b Mon Sep 17 00:00:00 2001
From: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date: Sat, 9 Oct 2021 18:51:13 +0200
Subject: [PATCH] configure.ac: fix autoreconf with autoconf >= 2.70
Remove the whitespace before IT_PROG_INTLTOOL as suggested in
https://www.mail-archive.com/bug-autoconf@gnu.org/msg04851.html
to avoid the following build failure with autoconf >= 2.70:
ERROR: 'IT_PROG_INTLTOOL' must appear in configure.ac for intltool to work.
The problem has been introduced by upstream autoconf commit
http://git.savannah.gnu.org/gitweb/?p=autoconf.git;a=commit;h=b3b3af821a0b9e82ebe56b77b1731d2fe58f52de
Fixes:
- http://autobuild.buildroot.org/results/e8bea26f6b12adf16335b24836a7c5c31911af6a
Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
[Upstream status: not upstreamable as upstream swicthed to cmake (
https://github.com/transmission/transmission/issues/1573)]
---
configure.ac | 4 +---
1 file changed, 1 insertion(+), 3 deletions(-)
diff --git a/configure.ac b/configure.ac
index fd1132fda..04e0e19bb 100644
--- a/configure.ac
+++ b/configure.ac
@@ -555,9 +555,7 @@ dnl it should be safe to re-edit 0.40 back down to 0.23
use_nls=no
if test "x$enable_nls" = "xyes" ; then
use_nls=yes
- m4_ifdef([IT_PROG_INTLTOOL],
- [IT_PROG_INTLTOOL([0.35.0],[no-xml])],
- [AC_MSG_ERROR("--enable-nls requires intltool to be installed.")])
+IT_PROG_INTLTOOL([0.35.0],[no-xml])
AC_CHECK_HEADERS([libintl.h])
GETTEXT_PACKAGE=transmission-gtk
AC_SUBST(GETTEXT_PACKAGE)
--
2.33.0
+48
View File
@@ -0,0 +1,48 @@
config BR2_PACKAGE_TRANSMISSION
bool "transmission"
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_USE_MMU # fork()
select BR2_PACKAGE_ZLIB
select BR2_PACKAGE_OPENSSL
select BR2_PACKAGE_LIBOPENSSL_ENABLE_RC4 if BR2_PACKAGE_LIBOPENSSL
select BR2_PACKAGE_LIBCURL
select BR2_PACKAGE_LIBEVENT
help
Transmission is a cross-platform BitTorrent client.
http://www.transmissionbt.com/
if BR2_PACKAGE_TRANSMISSION
config BR2_PACKAGE_TRANSMISSION_UTP
bool "Transmission uTP support"
depends on BR2_INSTALL_LIBSTDCPP
help
Install support for uTorrent Transport Protocol
comment "uTP needs a toolchain w/ C++"
depends on !BR2_INSTALL_LIBSTDCPP
config BR2_PACKAGE_TRANSMISSION_CLI
bool "transmission-cli"
help
Install transmission command line interface.
config BR2_PACKAGE_TRANSMISSION_DAEMON
bool "transmission-daemon"
help
Install transmission daemon.
config BR2_PACKAGE_TRANSMISSION_GTK
bool "transmission-gtk"
depends on BR2_PACKAGE_LIBGTK3 && BR2_SYSTEM_ENABLE_NLS
help
Install transmission GTK-based GUI interface.
comment "transmission-gtk needs NLS enabled"
depends on BR2_PACKAGE_LIBGTK3 && !BR2_SYSTEM_ENABLE_NLS
endif
comment "transmission needs a toolchain w/ threads"
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS
+156
View File
@@ -0,0 +1,156 @@
#!/bin/sh
# Original Author: Lennart A. Jtte, based on Rob Howell's script
# Modified by Maarten Van Coile & others (on IRC)
# Changes for buildroot:
# USERNAME points to 'default' in standard installation
# TODO: set logfile with --logfile option
# Do NOT "set -e"
#
# ----- CONFIGURATION -----
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It's RECOMENDED to run Transmission in it's own user,
# by default, this is set to 'transmission'.
# For the sake of security you shouldn't set a password
# on this user
USERNAME=transmission
# ----- *ADVANCED* CONFIGURATION -----
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME="/var/config/transmission-daemon"
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
#TRANSMISSION_ARGS=""
# ----- END OF CONFIGURATION -----
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="bittorrent client"
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
#
# Function that starts the daemon/service
#
start()
{
# Export the configuration/web directory, if set
if [ -n "$TRANSMISSION_HOME" ]; then
export TRANSMISSION_HOME
fi
if [ -n "$TRANSMISSION_WEB_HOME" ]; then
export TRANSMISSION_WEB_HOME
fi
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
--exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
|| return 1
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
--exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
|| return 2
}
#
# Function that stops the daemon/service
#
stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
case "$1" in
start)
echo "Starting $DESC" "$NAME..."
start
case "$?" in
0|1) echo " Starting $DESC $NAME succeeded" ;;
*) echo " Starting $DESC $NAME failed" ;;
esac
;;
stop)
echo "Stopping $DESC $NAME..."
stop
case "$?" in
0|1) echo " Stopping $DESC $NAME succeeded" ;;
*) echo " Stopping $DESC $NAME failed" ;;
esac
;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
echo "Restarting $DESC $NAME..."
stop
case "$?" in
0|1)
start
case "$?" in
0|1) echo " Restarting $DESC $NAME succeeded" ;;
*) echo " Restarting $DESC $NAME failed: couldn't start $NAME" ;;
esac
;;
*)
echo " Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
+3
View File
@@ -0,0 +1,3 @@
# Locally calculated
sha256 9144652fe742f7f7dd6657716e378da60b751aaeda8bef8344b3eefc4db255f2 transmission-3.00.tar.xz
sha256 2b16da5bd02790d1e4d332cfd42b9dfd7d1b0ed3a16a75dc7e76b6ed239fdba9 COPYING
+83
View File
@@ -0,0 +1,83 @@
################################################################################
#
# transmission
#
################################################################################
TRANSMISSION_VERSION = 3.00
TRANSMISSION_SITE = https://github.com/transmission/transmission-releases/raw/master
TRANSMISSION_SOURCE = transmission-$(TRANSMISSION_VERSION).tar.xz
TRANSMISSION_DEPENDENCIES = \
host-pkgconf \
host-intltool \
libcurl \
libevent \
openssl \
zlib
TRANSMISSION_AUTORECONF = YES
TRANSMISSION_CONF_OPTS = \
--without-inotify \
--enable-lightweight
TRANSMISSION_LICENSE = GPL-2.0 or GPL-3.0 with OpenSSL exception
TRANSMISSION_LICENSE_FILES = COPYING
TRANSMISSION_CPE_ID_VENDOR = transmissionbt
ifeq ($(BR2_PACKAGE_LIBMINIUPNPC),y)
TRANSMISSION_DEPENDENCIES += libminiupnpc
endif
ifeq ($(BR2_PACKAGE_LIBNATPMP),y)
TRANSMISSION_DEPENDENCIES += libnatpmp
TRANSMISSION_CONF_OPTS += --enable-external-natpmp
else
TRANSMISSION_CONF_OPTS += --disable-external-natpmp
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_UTP),y)
TRANSMISSION_CONF_OPTS += --enable-utp
else
TRANSMISSION_CONF_OPTS += --disable-utp
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_CLI),y)
TRANSMISSION_CONF_OPTS += --enable-cli
else
TRANSMISSION_CONF_OPTS += --disable-cli
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_DAEMON),y)
TRANSMISSION_CONF_OPTS += --enable-daemon
ifeq ($(BR2_PACKAGE_SYSTEMD),y)
TRANSMISSION_DEPENDENCIES += systemd
TRANSMISSION_CONF_OPTS += --with-systemd
else
TRANSMISSION_CONF_OPTS += --without-systemd
endif
define TRANSMISSION_USERS
transmission -1 transmission -1 * /var/lib/transmission - transmission Transmission Daemon
endef
define TRANSMISSION_INSTALL_INIT_SYSV
$(INSTALL) -m 0755 -D package/transmission/S92transmission \
$(TARGET_DIR)/etc/init.d/S92transmission
endef
define TRANSMISSION_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 0644 $(@D)/daemon/transmission-daemon.service \
$(TARGET_DIR)/usr/lib/systemd/system/transmission-daemon.service
endef
else
TRANSMISSION_CONF_OPTS += --disable-daemon
endif
ifeq ($(BR2_PACKAGE_TRANSMISSION_GTK),y)
TRANSMISSION_CONF_OPTS += --with-gtk
TRANSMISSION_DEPENDENCIES += libgtk3
else
TRANSMISSION_CONF_OPTS += --without-gtk
endif
$(eval $(autotools-package))